# Type alias OnlyIndexes<E, I>

OnlyIndexes<E, I>: IsUnion<I> extends false
? I extends number
? OnlyIndexes<E, [I]>
: I extends readonly [infer Head extends number, ...(infer Tail extends RoArray<number>)]
? E[Head] extends undefined
? OnlyIndexes<E, Tail>
: [E[Head], ...OnlyIndexes<E, Tail>]
: []
: never

#### Type Parameters

- #### E extends RoArray

- #### I extends IndexEs

- Defined in core/base/src/utils/array.ts:79

Generated using TypeDoc